<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="RadPanelbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radP" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>

    <script type="text/javascript">
        function OnMouseOver(sender, eventArgs)
        {
            LogEvent("Mouse over: " + eventArgs.Item.Text);    
        }
        
        function OnMouseOut(sender, eventArgs)
        {
            LogEvent("Mouse out: " + eventArgs.Item.Text);    
        }
        
        function OnClicking(sender, eventArgs)
        {
            LogEvent("On clicking: " + eventArgs.Item.Text);
            
        }
                    
        function OnClicked(sender, eventArgs)
        {
            LogEvent("On clicked: " + eventArgs.Item.Text);
        }
        
        function OnExpand(sender, eventArgs)
        {
            LogEvent("On expand: " + eventArgs.Item.Text);
        }
        
        function OnCollapse(sender, eventArgs)
        {
            LogEvent("On collapse: " + eventArgs.Item.Text);
        }
        
        
        function OnFocus(sender, eventArgs)
        {
            LogEvent("On focus: " + eventArgs.Item.Text);
        }
        
        function OnBlur(sender, eventArgs)
        {
            LogEvent("On blur: " + eventArgs.Item.Text);
        }
        
        function ClearLog()
        {
            var log = document.getElementById("LogEvent");
            
            log.value = "";
        }

        function LogEvent(text)
        {
            var tb = document.getElementById("Textbox1");
            
            if (tb)
            {
                tb.value += text + "\n";
                tb.scrollTop = tb.scrollHeight;
            }
        }

    </script>

</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table style="width: 567px">
                <tr>
                    <td align="left" style="width: 236px; height: 294px" valign="top">
                        <radP:RadPanelbar ID="RadPanelbar1" runat="server">
                        </radP:RadPanelbar>
                    </td>
                    <td align="left" style="height: 294px" valign="top">
                        <asp:TextBox ID="TextBox1" runat="server" Height="288px" TextMode="MultiLine" Width="309px"></asp:TextBox></td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
